<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('survey_have_tags', function (Blueprint $table) {
            $table->increments('id')->comment('PKey');
            $table->string("survey_id")->comment("填寫問卷ID");
            $table->string("tag_id")->comment("擁有標籤ID");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('survey_have_tags');
    }
};
